# ShestakUI (Classic)

## [1.6.7](https://github.com/EsreverWoW/ShestakUI_Classic/tree/1.6.7) (2022-12-08)
[Full Changelog](https://github.com/EsreverWoW/ShestakUI_Classic/commits/1.6.7) [Previous Releases](https://github.com/EsreverWoW/ShestakUI_Classic/releases)

- Updated version to 1.6.7  
- [Skins] Blizzard: Fix green texture on companion buttons in Classic  
- [Tooltip] ItemCount: Fix for Classic  
- Fixed Bindings error.  
- Cleanup.  
- Enable EncounterJournal skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/EncounterJournal.lua  
- Adjust spellbook bottom tabs  
- Enable Garrison skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Garrison.lua  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Core/API.lua  
    #	ShestakUI/Core/Kill.lua  
    #	ShestakUI/Modules/Tooltip/Tooltip.lua  
- Enable ChatConfig and SpellBook skins.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/ChatConfig.lua  
    #	ShestakUI/Modules/Skins/Blizzard/SpellBook.lua  
- Cleanup.  
- Cleanup tooltip functions.  
    # Conflicts:  
    #	ShestakUI/Modules/Tooltip/ItemCount.lua  
    #	ShestakUI/Modules/Tooltip/ItemIcons.lua  
    #	ShestakUI/Modules/Tooltip/MountSource.lua  
    #	ShestakUI/Modules/Tooltip/RuFix.lua  
    #	ShestakUI/Modules/Tooltip/SpellID.lua  
    #	ShestakUI/Modules/Tooltip/Talents.lua  
    #	ShestakUI/Modules/Tooltip/Tooltip.lua  
    #	ShestakUI/Modules/Tooltip/UnitRole.lua  
    #	ShestakUI/Modules/Trade/OneClickDisenchanting.lua  
- Hide MailFramePortrait.  
- Updated oGlow GBank.  
    # Conflicts:  
    #	ShestakUI/Libs/oGlow/Pipes/GBank.lua  
- Enable GuildBank skin.  
- Upgrade icon updated - Pawn fixed nil error  
- Enable Auction, Communities skins. Start new Professions skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/LoadFrames.xml  
    #	ShestakUI/Modules/Skins/Blizzard/Obliterum.lua  
    #	ShestakUI/Modules/Skins/Blizzard/TradeSkill.lua  
- Fixed game icon for Friends skin.  
- Enable GuildRegistrar, ItemText, PartyPoseUI, Petition, PetStable, PvPMatch, Runeforge, Scrapping, Subscription, Tabard, TorghastLevelPicker, Tutorial skins.  
    Removed Obliterum skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/GuildRegistrar.lua  
    #	ShestakUI/Modules/Skins/Blizzard/Petition.lua  
- Cleanup.  
- Continue Talent skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Talent.lua  
- Create T.IsFramePositionedLeft and fixed position of MinimizeButton if frame on right side  
- Fixed T.SkinTab for new talent tab.  
    Added new T.SkinFrame()  
    Hide Texture and Overlay in T.SkinNextPrevButton()  
- Enable Help, Islands, ItemSocketing, LossOfControl, Macro skins.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/GuildBank.lua  
- Keep position for TalkingHeadFrame.  
- Make it move with /ui  
- Enabled DressUp, Friends, Inspect, RaidInfo skins. Start new Talent skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Talent.lua  
- itemIsUpgrade causing nil chat spam  
- Disable default Blizz Upgrade check  
- UpgradeIcon works  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Bags.lua  
- [Bags] Fixed texture for reagent bags.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Bags.lua  
- [Misc] Increase speed for AddonList scroll.  
    # Conflicts:  
    #	ShestakUI/Modules/Misc/Misc.lua  
- [Bags] Added support for new reagent bags.  
    # Conflicts:  
    #	ShestakUI/Modules/Blizzard/Bags.lua  
- Added Evokers Soar bar paging  
    # Conflicts:  
    #	ShestakUI/Modules/ActionBars/Bar1.lua  
- Disable Rematch skinning  
    - They keep making to much changes...  
- Use TooltipUtil.GetDisplayedItem for OneClickDisenchanting.  
- Fixed ItemLevel.  
- Fixed ItemIcons.  
- Fixed BuffFrame error after EditMode.  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/MacClient.lua  
- Cleanup.  
- QueueStatusMinimapButton => QueueStatusButton.  
    # Conflicts:  
    #	ShestakUI/Modules/Automation/AutoInvite.lua  
    #	ShestakUI/Modules/Misc/BattlefieldScore.lua  
- Fixed AlreadyKnown for BlackMarket.  
- Enable Archeology, Artifact, BlackMarket, Channels, DebugTools, EventTrace, Raid, Taxi, Trade, VoidStorage, WeeklyRewards skins.  
- Added check for unit tooltip.  
- Fixed ActionBars taint after talent changing.  
- Cleanup.  
    # Conflicts:  
    #	ShestakUI/Libs/oUF/Modules/RaidDebuffs.lua  
- Enable AlliedRaces, BarberShop, ChromieTime and Trainer skins.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/LoadFrames.xml  
- Enable OrderHall and AzeriteEssence skins.  
- Fixed rare collapse error.  
- Updated Russian locale.  
- Fixed Quest reward color for white items.  
- Fixed oGlow Loot.  
- Enable BonusRoll and Loot skins.  
- [Skins] Blizzard: Help close button fix  
- Textures: "" => 0, nil => 0  
- Enable PlayerChoice and CovenantPreview skins.  
- Fixed Durability datatext for 10.0.2. pt. 2  
- Fixed Durability datatext for 10.0.2.  
- OPie not working.  
- Hide SpellBinderPortrait and SpellListPortrait.  
- Disable more outdated spells.  
- Enable all addon skins.  
- Use another way to hide blizzard raid frames.  
    # Conflicts:  
    #	ShestakUI/Core/Kill.lua  
- ItemRefTooltipMoneyFrame => ShoppingTooltip1MoneyFrame  
    # Conflicts:  
    #	ShestakUI/Modules/Tooltip/Tooltip.lua  
- Enable Dominos skin.  
- Fixed AlreadyKnown.  
    # Conflicts:  
    #	ShestakUI/Modules/Trade/AlreadyKnown.lua  
- Update OneClickDisenchanting.lua  
    # Conflicts:  
    #	ShestakUI/Modules/Trade/OneClickDisenchanting.lua  
- Need version check  
    - Clean up after DF release  
- Added limit for RaidBuffsReminder and re-anchor icons. pt. 2  
- [RaiBuffsReminder] Consolidate Vanilla/TBC/Wrath  
- Added limit for RaidBuffsReminder and re-anchor icons.  
- Fixed AuraSource for new oUF SetUnitBuffByAuraInstanceID.  
    # Conflicts:  
    #	ShestakUI/Modules/Auras/AuraSource.lua  
- Fixed tooltips.  
    # Conflicts:  
    #	ShestakUI/Modules/Tooltip/ItemCount.lua  
    #	ShestakUI/Modules/Tooltip/SpellID.lua  
    #	ShestakUI/Modules/Trade/OneClickDisenchanting.lua  
- Change Game18Font.  
- Rename FriendList =>ClassColorNames  
    # Conflicts:  
    #	ShestakUI/ShestakUI.xml  
- Cleanup.  
- Updated AddonList skin.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/AddonList.lua  
- Update RaidAuraWatch.lua  
- Update RaidAuraWatch.lua  
    - Evokers healing hots added  
    - Dungeon debuffs added + DF S1 affix  
    - Vault of the Incarnates raid debuff added  
- More Evoker spells to filger  
- Evokers spell added to ChannelTicks  
- Disable some outdated Shaman spells.  
- Enable Collections, Mail & Rematch skins. Start point.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Mail.lua  
- [Classic] Prevent loading of certain skins in Classic  
- FogOfWar for DF  
- Addonlist skin  
    - Checkbuttons must be rewritten with togglestate  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/AddonList.lua  
- PVE & PVP Skin updated  
- Another fix for FriendList.  
- Improved bag search for bind type.  
- Added Mark of the Wild reminders.  
- Fixed MountSource.  
- Update MagePortals.lua  
- Starting to map out Evokers spells  
- Update Reminders.lua  
- Update RaidDebuffs.lua  
- Evoker Class Bar pt. 2  
- Evoker Class Bar  
- Disable in Beta for now  
- Enable Bubbles, Calendar, TalkingHead and TimeManager skins.  
    # Conflicts:  
    #	ShestakUI/Modules/Skins/Blizzard/Calendar.lua  
